package com.stm.asset.http;

import com.stm.asset.json.BaseInfo;

/**
 * 类名称：RequestCallback
 * 类描述：请求返回封装
 * 创建人：story
 * 创建时间：2021-12-11 15:55
 */
public abstract class RequestCallback<T extends BaseInfo> {

    private Class<T> type;

    public abstract void onSuccess(T responseInfo);

    public abstract void onFailure(HttpException error, String msg);

    public RequestCallback(Class<T> clazz) {
        this.type = clazz;
    }

    public Class<T> getType() {
        return type;
    }


}
